AMH4.2面板编译安装NGINX1.9.7方法-续笔记自媒体

AMH面板免费版本停留在4.2版本之后就没有进行更新和升级,但对于大部分网站环境来说,安装和使用AMH4.2 免费版本还是够用的,WEB面板与一键包、或者手工编译环境,比如,AMH环境采用的是Nginx、PHP、MYSQL 组合而已,默认的版本中PHP5.3、Nginx1.4、MYSQL5.5,PHP和Nginx版本有些陈旧了,例如我们要对站点启用SSL证书加密就需要Nginx版本在1.8以上,所以编者今天这个机会将具体介绍 Nginx1.4 升级到Nginx1.9.7 最新版本的方法。

检查当前的NGINX版本

然后我们可以得到这样的信息(请事先拷贝下面的内容,根据您自己的配置信息)。

一.下载NGINX1.9.7最新版本

二.编译环境

1.定位到已解压的文件目录

执行命令:

将上面获得的脚本然后加上红色的./configure,直接执行。

2.编译命令

三.配置新的NGINX配置文件

移动旧的文件

新建新的

执行升级

最后,重启VPS之后,面板以及站点是没有报错,看来是没有问题的。不过,我们自己在操作的时候还是需要注意备份环境。